<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">

    <title>Friend List</title>
  </head>
  <body class="bg-dark">
    <nav class="navbar navbar-expand-lg">
      <div class="container-fluid">
        <a class="navbar-brand" href="#"></a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="../">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="../lab-3">My Friends</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="../admin">Admin</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="../lab-3/add">Add</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    <div class="text-center ms-3 bg-light container-xxl">
      <div class="row">
        <table class="table table-striped">
          <thead class="thead-dark">
            <tr>
              <th>Name</th>
              <th>NPM</th>
              <th>DOB</th>
            </tr>
          </thead>
          
          {% if friends %} 
		      {% for i in friends %}
          <tr>
			      <td>{{ i.name }}</td>
            <td>{{ i.npm }}</td>
            <td>{{ i.birth_date }}</td>
          </tr> 
		      {% endfor %}
	        {% endif %}
    
          <!-- TODO loop from Friend model -->
          <!-- EXAMPLE SECTION -->
          <tr>
            <td>Asmara Nugi</td>
            <td>1706032156</td>
            <td>May 1, 1999</td>
          </tr>
          <tr>
            <td>Fadli Rais</td>
            <td>1706032370</td>
            <td>Sept 11, 1998</td>
          </tr>
          <!-- END SECTION -->
        </table>
      </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous"></script>
  </body>
</html>

